Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.soap
Class SOAPArrayType

    java.lang.Object
      org.apache.xmlbeans.soap.SOAPArrayType

    public final class SOAPArrayType

extends java.lang.Object

Constructor Summary
`SOAPArrayType(javax.xml.namespace.QName name, java.lang.String dimensions)` Parses SOAP 1.1(advanced) array type strings.
`SOAPArrayType(SOAPArrayType nested, int[] dimensions)` Given a nested SOAPArrayType and a set of dimensions for the outermost array, comes up with the right SOAPArrayType for the whole thing.
`SOAPArrayType(java.lang.String s, PrefixResolver m)` Parses a SOAP 1.1 array type string.

Method Summary
`boolean` | `containsNestedArrays()` True if this array contains nested arrays.
`boolean` | `equals(java.lang.Object obj)`
`int[]` | `getDimensions()` Returns the array of dimensions.
`javax.xml.namespace.QName` | `getQName()` Returns the QName for the referenced type.
`int[]` | `getRanks()` Returns the array of ranks for inner nested arrays.
`int` | `hashCode()`
`boolean` | `isSameRankAs(SOAPArrayType otherType)` True if the ranks for the passed SOAPArrayType are equal to this one.
`SOAPArrayType` | `nestedArrayType()` Constructs a SOAPArrayType reflecting the dimensions of the next nested array.
`static SOAPArrayType` | `newSoap12Array(javax.xml.namespace.QName itemType, java.lang.String arraySize)` SOAP 1.2 Constructs a SOAPArrayType from soap-enc:itemType and soap-enc:arraySize attributes
`static int[]` | `parseSoap11Index(java.lang.String inbraces)` Given SOAP 1.1-formatted index string, returns an array index.
`java.lang.String` | `soap11DimensionString()` Returns the dimensions as a string, e.g., [,][2,3,4]
`java.lang.String` | `soap11DimensionString(int[] actualDimensions)` Given an actual set of dimensions that may differ from the default that is stored, outputs the soap arrayType string.
`java.lang.String` | `soap12DimensionString(int[] actualDimensions)` SOAP 1.2 Given an actual set of dimensions that may differ from the default that is stored, outputs the soap arraySize string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPArrayType

    public SOAPArrayType(java.lang.String s,
                         PrefixResolver m)

  Parses a SOAP 1.1 array type string. Since an array type string contains a QName, a prefix resolver must be passed.

### SOAPArrayType

    public SOAPArrayType(javax.xml.namespace.QName name,
                         java.lang.String dimensions)

  Parses SOAP 1.1(advanced) array type strings. Since in SOAP 1.1(advanced) the dimension specification is separated from the QName for the underlying type, these are passed in separate arguments.

### SOAPArrayType

    public SOAPArrayType(SOAPArrayType nested,
                         int[] dimensions)

  Given a nested SOAPArrayType and a set of dimensions for the outermost array, comes up with the right SOAPArrayType for the whole thing. E.g., Nested foo:bar[,][][,,][1,2] Dimensions [6,7,8] Result -> foo:bar[,][][,,][,][6,7,8]

Method Detail

### isSameRankAs

    public boolean isSameRankAs(SOAPArrayType otherType)

  True if the ranks for the passed SOAPArrayType are equal to this one. Does NOT compare the _type fields.

### parseSoap11Index

    public static int[] parseSoap11Index(java.lang.String inbraces)

  Given SOAP 1.1-formatted index string, returns an array index. For example, given "[4,3,5]", returns an int array containing 4, 3, and 5.

### getQName

    public javax.xml.namespace.QName getQName()

  Returns the QName for the referenced type.

### getRanks

    public int[] getRanks()

  Returns the array of ranks for inner nested arrays. In SOAP 1.1-advanced, this is always an array of length zero. In SOAP 1.1, this array reflects the ranks of nested arrays. For example foo:bar[,][,,][][5,6] will produce a ranks result of 2, 3, 1.

### getDimensions

    public int[] getDimensions()

  Returns the array of dimensions.

### containsNestedArrays

    public boolean containsNestedArrays()

  True if this array contains nested arrays. Equivalent to (getRanks().length > 0).

### soap11DimensionString

    public java.lang.String soap11DimensionString()

  Returns the dimensions as a string, e.g., [,][2,3,4]

### soap11DimensionString

    public java.lang.String soap11DimensionString(int[] actualDimensions)

  Given an actual set of dimensions that may differ from the default that is stored, outputs the soap arrayType string.

### newSoap12Array

    public static SOAPArrayType newSoap12Array(javax.xml.namespace.QName itemType,
                                               java.lang.String arraySize)

  SOAP 1.2 Constructs a SOAPArrayType from soap-enc:itemType and soap-enc:arraySize attributes

  Parameters:
    `itemType` - the item type QName
    `arraySize` - a string with dimentions like: * 3 4
  Returns:
    a SOAPArrayType to represent this

### soap12DimensionString

    public java.lang.String soap12DimensionString(int[] actualDimensions)

  SOAP 1.2 Given an actual set of dimensions that may differ from the default that is stored, outputs the soap arraySize string.

### nestedArrayType

    public SOAPArrayType nestedArrayType()

  Constructs a SOAPArrayType reflecting the dimensions of the next nested array.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD